<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>CCodeRefactoring: VarDeclProperties Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
  $(document).ready(function() { init_search(); });
/* @license-end */
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">CCodeRefactoring
   &#160;<span id="projectnumber">First Alpha</span>
   </div>
   <div id="projectbrief">Create Simulation Executable From Existing Code</div>
  </td>
   <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('struct_var_decl_properties.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="struct_var_decl_properties-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">VarDeclProperties Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="_types_for_analysis_8h_source.html">TypesForAnalysis.h</a>&gt;</code></p>
<div class="dynheader">
Collaboration diagram for VarDeclProperties:</div>
<div class="dyncontent">
<div class="center"><img src="struct_var_decl_properties__coll__graph.png" border="0" usemap="#_var_decl_properties_coll__map" alt="Collaboration graph"/></div>
<map name="_var_decl_properties_coll__map" id="_var_decl_properties_coll__map">
<area shape="rect" title=" " alt="" coords="5,332,144,359"/>
<area shape="rect" href="struct_total_location_info.html" title=" " alt="" coords="8,213,141,240"/>
<area shape="rect" href="struct_exp_eval_result.html" title=" " alt="" coords="17,124,132,151"/>
<area shape="rect" href="struct_exp_eval.html" title=" " alt="" coords="37,5,112,32"/>
</map>
<center><span class="legend">[<a target="top" href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:aa774406305a751790f3e21fcff46bf0f"><td class="memItemLeft" align="right" valign="top"><a class="el" href="_types_for_analysis_8h.html#aa2c57998efcf7383b6124eb4e9d12cd5">MatchId</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_var_decl_properties.html#aa774406305a751790f3e21fcff46bf0f">MatcherSrcId</a></td></tr>
<tr class="separator:aa774406305a751790f3e21fcff46bf0f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae1da2e38828113fe0d3c03d38c83d138"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_var_decl_properties.html#ae1da2e38828113fe0d3c03d38c83d138">isExtern</a></td></tr>
<tr class="separator:ae1da2e38828113fe0d3c03d38c83d138"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acd5449c75601118681291dc9f0ed104b"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_var_decl_properties.html#acd5449c75601118681291dc9f0ed104b">hasLocalStorage</a></td></tr>
<tr class="separator:acd5449c75601118681291dc9f0ed104b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5552839197deff5bda4a449a40cb07a1"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_var_decl_properties.html#a5552839197deff5bda4a449a40cb07a1">hasGlobalStorage</a></td></tr>
<tr class="separator:a5552839197deff5bda4a449a40cb07a1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a23e082a537c6e197409ce48ef9af812e"><td class="memItemLeft" align="right" valign="top">LanguageLinkage&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_var_decl_properties.html#a23e082a537c6e197409ce48ef9af812e">Language</a></td></tr>
<tr class="separator:a23e082a537c6e197409ce48ef9af812e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a77e45ec60fb99e05f7911949af1d5c55"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_var_decl_properties.html#a77e45ec60fb99e05f7911949af1d5c55">VarName</a></td></tr>
<tr class="separator:a77e45ec60fb99e05f7911949af1d5c55"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a134231e9d759048b7d10d0dba907febc"><td class="memItemLeft" align="right" valign="top"><a class="el" href="struct_total_location_info.html">TotalLocationInfo</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_var_decl_properties.html#a134231e9d759048b7d10d0dba907febc">DeclPosition</a></td></tr>
<tr class="separator:a134231e9d759048b7d10d0dba907febc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2639f33dc190d7d116d70e39b921ea15"><td class="memItemLeft" align="right" valign="top"><a class="el" href="struct_total_location_info.html">TotalLocationInfo</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_var_decl_properties.html#a2639f33dc190d7d116d70e39b921ea15">DefPosition</a></td></tr>
<tr class="separator:a2639f33dc190d7d116d70e39b921ea15"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a55567e3131b24ca2b507a29c59fb13fe"><td class="memItemLeft" align="right" valign="top"><a class="el" href="struct_total_location_info.html">TotalLocationInfo</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_var_decl_properties.html#a55567e3131b24ca2b507a29c59fb13fe">TypeLocPosition</a></td></tr>
<tr class="separator:a55567e3131b24ca2b507a29c59fb13fe"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5d05f3d8f19549c807f24abc3f253845"><td class="memItemLeft" align="right" valign="top">std::vector&lt; <a class="el" href="struct_type_properties.html">TypeProperties</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_var_decl_properties.html#a5d05f3d8f19549c807f24abc3f253845">TypeProperties_vec</a></td></tr>
<tr class="separator:a5d05f3d8f19549c807f24abc3f253845"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="a134231e9d759048b7d10d0dba907febc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a134231e9d759048b7d10d0dba907febc">&#9670;&nbsp;</a></span>DeclPosition</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="struct_total_location_info.html">TotalLocationInfo</a> VarDeclProperties::DeclPosition</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a2639f33dc190d7d116d70e39b921ea15"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2639f33dc190d7d116d70e39b921ea15">&#9670;&nbsp;</a></span>DefPosition</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="struct_total_location_info.html">TotalLocationInfo</a> VarDeclProperties::DefPosition</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a5552839197deff5bda4a449a40cb07a1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5552839197deff5bda4a449a40cb07a1">&#9670;&nbsp;</a></span>hasGlobalStorage</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool VarDeclProperties::hasGlobalStorage</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="acd5449c75601118681291dc9f0ed104b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acd5449c75601118681291dc9f0ed104b">&#9670;&nbsp;</a></span>hasLocalStorage</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool VarDeclProperties::hasLocalStorage</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ae1da2e38828113fe0d3c03d38c83d138"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae1da2e38828113fe0d3c03d38c83d138">&#9670;&nbsp;</a></span>isExtern</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool VarDeclProperties::isExtern</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a23e082a537c6e197409ce48ef9af812e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a23e082a537c6e197409ce48ef9af812e">&#9670;&nbsp;</a></span>Language</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">LanguageLinkage VarDeclProperties::Language</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aa774406305a751790f3e21fcff46bf0f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa774406305a751790f3e21fcff46bf0f">&#9670;&nbsp;</a></span>MatcherSrcId</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="_types_for_analysis_8h.html#aa2c57998efcf7383b6124eb4e9d12cd5">MatchId</a> VarDeclProperties::MatcherSrcId</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a55567e3131b24ca2b507a29c59fb13fe"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a55567e3131b24ca2b507a29c59fb13fe">&#9670;&nbsp;</a></span>TypeLocPosition</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="struct_total_location_info.html">TotalLocationInfo</a> VarDeclProperties::TypeLocPosition</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a5d05f3d8f19549c807f24abc3f253845"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5d05f3d8f19549c807f24abc3f253845">&#9670;&nbsp;</a></span>TypeProperties_vec</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::vector&lt;<a class="el" href="struct_type_properties.html">TypeProperties</a>&gt; VarDeclProperties::TypeProperties_vec</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a77e45ec60fb99e05f7911949af1d5c55"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a77e45ec60fb99e05f7911949af1d5c55">&#9670;&nbsp;</a></span>VarName</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::string VarDeclProperties::VarName</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="struct_var_decl_properties.html">VarDeclProperties</a></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.17 </li>
  </ul>
</div>
</body>
</html>
